
package ejerciciosgenericos;

public class Generico<T> {
    
    private T objeto;
    
   public Generico(T objeto) {
      this.objeto = objeto;
   }  

    public T getObjeto() {
        return objeto;
    }

    public void setObjeto(T objeto) {
        this.objeto = objeto;
    }
   
    public Class getClassGenerico() {
         return objeto.getClass();
    }
}
